<template>
  <div class="spot-cargo-type">
    <div v-if="spotCargoTypesList.length">
      <div class="spot-cargo-type__row">
        <div class="spot-cargo-type__title">Тип груза</div>
      </div>
      <p class="spot-cargo-type__list">
        {{ cargoTypesList }}
      </p>
    </div>
    <div
      v-if="spotNeedTracking"
      class="spot-cargo-type__row spot-cargo-type__icon"
    >
      <i class="icon radar-2" />
      <span>Трекинг</span>
    </div>
    <div
      v-if="spotDangerousClassTitle"
      class="spot-cargo-type__row spot-cargo-type__icon"
    >
      <i class="icon hazard">
        <span class="path1"></span>
      </i>
      <span v-if="spotDangerousClassTitle">{{ spotDangerousClassTitle }}</span>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    spotNeedTracking: {
      type: Boolean,
      default: false,
    },
    spotDangerousClassTitle: {
      type: String,
      default: '',
    },
    spotCargoTypesList: {
      type: Array,
      default: () => [],
    },
  },
  computed: {
    cargoTypesList() {
      return this.spotCargoTypesList.length
        ? this.spotCargoTypesList.map((item) => item.cargoTypeTitle).join(' / ')
        : '-'
    },
  },
}
</script>
<style lang="scss" scoped>
@import '~common-components/src/static/css/variables';
.spot-cargo-type {
  .icon {
    font-size: 16px;
    color: $blue-700;
    margin-right: 6px;
  }

  &__row {
    display: flex;
  }

  &__icon {
    margin-top: 7px;
  }

  &__list {
    margin-top: 5px;
  }

  &__title {
    display: flex;
    align-items: center;
    font-size: 12px;
    line-height: 12px;
    letter-spacing: 0.4px;
    color: $gray-slate;
    opacity: 0.9;

    .icon {
      font-size: 22px;
      margin-left: 6px;
    }
  }
}
</style>
